Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

List the organization's published videos

Only published videos that have finished processing (READY) in the active workspace. Does not include the playback id: to play one, request a token from POST /content/playback-token.

GET/content/videos
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
limitinteger

1-100, default 20

default: 20
cursorstring
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataContentVideo[]required
Show properties
Array of ContentVideo
idstringrequired
titlestringrequired
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
durationSecondsinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
posterUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
seriesobject | nullrequired
Show properties
Any of:
object
idstringrequired
titlestringrequired
null
null
memberOnlybooleanrequired

true = only current members of the organization can play it.

publishedAtstring | nullrequired
Show properties
Any of:
string
string
null
null
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/content/videos' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "id": "string",
      "title": "string",
      "description": "string",
      "durationSeconds": -9007199254740991,
      "posterUrl": "string",
      "series": {
        "id": "string",
        "title": "string"
      },
      "memberOnly": true,
      "publishedAt": "string"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}